Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.sandesha2.msgprocessors
Class SequenceProcessor

    java.lang.Object
      org.apache.sandesha2.msgprocessors.SequenceProcessor

    public class SequenceProcessor

extends java.lang.Object

Responsible for processing the Sequence header (if present) on an incoming message.

Constructor Summary
`SequenceProcessor()`

Method Summary
`org.apache.axis2.engine.Handler.InvocationResponse` | `processReliableMessage(RMMsgContext rmMsgCtx, Transaction transaction)`
`org.apache.axis2.engine.Handler.InvocationResponse` | `processSequenceHeader(RMMsgContext rmMsgCtx, Transaction transaction)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SequenceProcessor

    public SequenceProcessor()

Method Detail

### processSequenceHeader

    public org.apache.axis2.engine.Handler.InvocationResponse processSequenceHeader(RMMsgContext rmMsgCtx,
                                                                                    Transaction transaction)
                                                                             throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

### processReliableMessage

    public org.apache.axis2.engine.Handler.InvocationResponse processReliableMessage(RMMsgContext rmMsgCtx,
                                                                                     Transaction transaction)
                                                                              throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Apache Web Services Project. All Rights Reserved.